gloss-1.13.2.2: Painless 2D vector graphics, animations and simulations.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Graphics.Gloss.Data.Point

Synopsis

- type Point = (Float, Float)
- type Path = [Point]
- pointInBox :: Point -> Point -> Point -> Bool

# Documentation

type Point = (Float, Float) Source #

A point on the x-y plane.

type Path = [Point] Source #

A path through the x-y plane.

pointInBox :: Point -> Point -> Point -> Bool Source #

Test whether a point lies within a rectangular box that is oriented on the x-y plane. The points P1-P2 are opposing points of the box, but need not be in a particular order.

       P2 +-------+
          |       |
          | + P0  |
          |       |
          +-------+ P1